Product - Get
Gets a Product by ID.
GET https://prod.core.sphere.azure.net/v2/tenants/{tenantId}/products/{productId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
product
|
path | True |
string (uuid) |
The ID of the Product to retrieve. |
|
tenant
|
path | True |
string (uuid) |
The Azure Sphere tenant ID. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success. |
Examples
Get product details
Sample request
GET https://prod.core.sphere.azure.net/v2/tenants/768c2cd6-1bf0-4521-9f53-084a331d81cb/products/258e9e1d-a16d-4459-be5d-38420a8c43ad
Sample response
{
"Id": "258e9e1d-a16d-4459-be5d-38420a8c43ad",
"TenantId": "768c2cd6-1bf0-4521-9f53-084a331d81cb",
"Name": "Refrigerator",
"Description": "Contoso refrigerators"
}
Definitions
Product
| Name | Type | Description |
|---|---|---|
| Description |
string |
The description of the product. |
| Id |
string |
The unique ID of the product. |
| Name |
string |
The name of the product. |
| TenantId |
string |
The unique ID of the tenant that owns the product. |